POST V1/Payments.{ext}/PaymentFiles
Reject Payment File (We can reject only few transactions in Payment File).
Mandatory Fields: PfId, List of (PfDetailsId and Comments)
Optional Fields: N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
List of Payment File Rejects
EMS.Payments.Entities.PaymentFileRejects| Name | Description | Type | Additional information |
|---|---|---|---|
| PfId |
Payment File Id |
integer |
None. |
| PaymentFileRejectList |
List of Payment File Reject |
Collection of EMS.Payments.Entities.PaymentFileReject |
None. |
Request Formats
application/json, text/json
{
"pfId": 1,
"paymentFileRejectList": [
{
"pfDetailsId": 1,
"comments": "sample string 2"
},
{
"pfDetailsId": 1,
"comments": "sample string 2"
}
]
}
application/xml, text/xml
<PaymentFileRejects xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
<PaymentFileRejectList>
<PaymentFileReject>
<Comments>sample string 2</Comments>
<PfDetailsId>1</PfDetailsId>
</PaymentFileReject>
<PaymentFileReject>
<Comments>sample string 2</Comments>
<PfDetailsId>1</PfDetailsId>
</PaymentFileReject>
</PaymentFileRejectList>
<PfId>1</PfId>
</PaymentFileRejects>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
EMSResponseOfEMS.Common.TransactionResults| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResults |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "TransactionResults",
"response": {
"transactionResult": [
{
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
{
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.